Subject: Re: Implementation detail about tags.

From: "Rick Dean" <[email-masked]>
Date: Tue, 16 Nov 1999 13:10:06 -0600

From: Shail Bhatnagar <[email-masked]>
>>
>> When responding to an invite, I always include
>> a "to" tag even though I sometimes don't have to.
>> Thus, if I ever receive a invite with a "to" tag, yet have
>> no record of the call, I know the invite is
>> a re-invite, and either could be for someone else
>> or is ancient, thus I return "481 Call Leg
>> does not exist".
>
>Not sure what this achieves. When you say "yet have no record of
>the call", you have probably done some kind of lookup based on
>Call-ID. It does not optimize your decision to send 481 in any
>way, does it ?
>

My point is not optimization, but instead behavior which may not
be obvious to first time readers of SIP.

For example my UA is a embedded phone which recently rebooted.  Should it
ring when it receives a re-invite?  What if through DHCP re-licenseing this
call was for a different phone?  Ultimately, if the sender insists on
reestablishing the call, then it can always resend
the failed re-invite without a tag.

Another example is a proxy which broadcasts a re-invite to a
set of PSTN gateways.  If the originating gateway of a call (foolishly)
didn't include a contact, the stateless proxy may not know who to
send it to.

Finally, in the spirit of SIP, a UA cannot assume call-leg uniqueness
if it doesn't create its own tag.

--
Rick

Shail Bhatnagar <[email-masked]> on 11/16/99 11:33:57 AM

Sent by:  Shail Bhatnagar <[email-masked]>

To:   Rick Dean/MW/US/3Com
cc:   [email-masked], Jerry Mahler/MW/US/3Com
Subject:  Re: Implementation detail about tags.

Rick Dean wrote:
>
> Whenever my SIP UA sends an invite,
> it includes a "From" tag.  This makes the case
> of me calling myself through
> a proxy easier.  Otherwise, matching messages to
> call-leg-ends is more painful.  I believe this
> is allowable within the spec, and you have now
> been warned, so don't let it break your stack.
>
> When responding to an invite, I always include
> a "to" tag even though I sometimes don't have to.
> Thus, if I ever receive a invite with a "to" tag, yet have
> no record of the call, I know the invite is
> a re-invite, and either could be for someone else
> or is ancient, thus I return "481 Call Leg
> does not exist".

Not sure what this achieves. When you say "yet have no record of
the call", you have probably done some kind of lookup based on
Call-ID. It does not optimize your decision to send 481 in any
way, does it ?

>
> Does anyone have a problem with this?
>
> --
> Rick Dean
> 3Com